<?php
session_start();

$cliente=$_SESSION['cliente'];
$perfil=$_SESSION['perfil'];
$rut=$_SESSION['rut'];
		
		include 'conexion/conn.php';
		
          $tipo_planilla="COMERCIAL";

          	$pi_especie_id=$_REQUEST['especie_id'];
          	$fecha_desde=$_REQUEST['fecha_desde'];
			$fecha_hasta=$_REQUEST['fecha_hasta'];
			$exportador_cod=$_REQUEST['exportador_cod'];

          

          
	          	$rs = mysql_query("SELECT * FROM `cal_planilla_especie` where especie_id='$pi_especie_id' AND tipo_planilla='COMERCIAL'");

	           if($row = mysql_fetch_array($rs)){
	            $planilla_id=$row['planilla_id'];    
	            
	          }
          

         
	          

          

          $rs = mysql_query("SELECT * FROM cal_especies where especie_id='$pi_especie_id'");

           if($row = mysql_fetch_array($rs)){
            $especie_nombre=$row['especie_nombre'];
          }

         

         /* $rs = mysql_query("SELECT * FROM cal_packing where packing_id='$packing_id'");

           if($row = mysql_fetch_array($rs)){
            $packing_nombre=$row['packing_nombre'];
            $zona_id=$row['zona_id'];
          }

          $rs = mysql_query("SELECT * FROM cal_zona where zona_id='$zona_id'");

           if($row = mysql_fetch_array($rs)){
            $zona_nombre=$row['zona_nombre'];
          }*/          

          /*$rs = mysql_query("SELECT * FROM sys_usuario where usuario_rut='$pi_inspector'");

           if($row = mysql_fetch_array($rs)){
            $nombre_inspector=$row['usuario_nombre']." ".$row['usuario_apepaterno'];
          }*/

echo '<html>
<head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8"/>
</head>
<style>
.Rotate-90
{
  
    transform: rotate(270deg);
	font-size:9px;
	border:1px solid black;
	margin-left:-40px;
	width:120px;
}
.vertical{
	text-align:center;
	vertical-align:middle;
	width:14px;
	height:auto;
	margin:0px;
	padding:0px;
	padding-left:3px;
	padding-right:3px;
	padding-top:10px;
	white-space:nowrap;
	-webkit-transform:rotate(-90deg);
	-moz-transform:rotate(-90deg);
	-o-transform:rotate(-90deg);
}

</style>';
?>
<script language="JavaScript">
function doPrint(){
document.all.item("noprint").style.visibility='hidden' 
window.print()
document.all.item("noprint").style.visibility='visible'
}
</script>
<?php
echo '<body style="font-family: Calibri, sans-serif;">';

$rs_pi_folio = mysql_query("SELECT * FROM `cal_planilla_inspeccion` INNER JOIN sys_usuario ON sys_usuario.usuario_rut=cal_planilla_inspeccion.pi_inspector INNER JOIN cal_zona ON cal_zona.zona_id=cal_planilla_inspeccion.pi_zona_id INNER JOIN cal_packing ON cal_packing.packing_id=cal_planilla_inspeccion.pi_packing_id where pi_especie_id='$pi_especie_id' AND tipo_planilla='COMERCIAL' AND pi_fecha_inspeccion>='$fecha_desde' AND pi_fecha_inspeccion<='$fecha_hasta'");

while($row_pi_folio = mysql_fetch_array($rs_pi_folio)){
$pi_folio=$row_pi_folio['pi_folio']; 
$pi_fecha_inspeccion=$row_pi_folio['pi_fecha_inspeccion'];
$packing_nombre=$row_pi_folio['packing_nombre'];
$zona_nombre=$row_pi_folio['zona_nombre'];
$exportador_cod=$row_pi_folio['pi_exportador_cod'];
$nom_inspector=$row_pi_folio['usuario_nombre'].' '.$row_pi_folio['usuario_apepaterno'].' '.$row_pi_folio['usuario_apematerno'];  

$rs = mysql_query("SELECT * FROM cal_exportadoras where exportador_cod='$exportador_cod'");

           if($row = mysql_fetch_array($rs)){
            $exportador_nombre=$row['exportador_nombre'];
           
          }



	echo '
	
	<div id="noprint">
		<input name="imprimir" type="button" onClick="doPrint();" value="Imprimir">
	</div>
	<div width="100%" style="margin-top:15px;">
		<div style="border:1px solid black; margin-top:-10px; height:70px; width:19%; float:left; text-align:center;">
					<img src="Foto_exportadora/'.$cliente.'.jpeg" height="97%" style="margin-top:1px;">
		</div>
		<div style="border:1px solid black; margin-top:-10px; height:70px; width:55%; float:left; text-align:center;">';
					if($cliente=='RB'){
						echo'<div style="font-size:8px;">RIOblanco SpA </div>';
					}else{
						echo'<div style="font-size:8px;">Inglobo Chile </div>';
					}
					
						echo '<div style="font-size:8px;">GERENCIA CALIDAD Y DESARROLLO</div>
					<div style="font-weight: bold;"><br/>EVALUACION DE FRUTA DE DESCARTE DE PACKING DE '.$especie_nombre.'</div>';
					
					
		echo '</div>
		<div style="border:1px solid black; margin-top:-10px; height:70px; width:25%; float:left; font-size:10px;">';
				if($pi_especie_id=='11'){
						echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-001</div>
					<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;02-10-18</div>
					<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefe Calidad Aconcagua</div>
					<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
					<div>Correlativo</div>';
					}else if($pi_especie_id=='41'){
						echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-031</div>
					<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;02 del 16-08-18</div>
					<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefa Calidad Sur</div>
					<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
					<div>Correlativo</div>';
					}else if($pi_especie_id=='82'){
						echo '<div>Código &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;RB-ICAL-REG-040</div>
					<div>Versión &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp; 02 del 31-01-19</div>
					<div>Elabora &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Jefe Calidad Norte</div>
					<div>Aprueba &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;Gte Calidad y Desarrollo</div>
					<div>Correlativo</div>';
					}else{
						echo '<img src="Foto_exportadora/Inglobo.png" height="97%" style="margin-top:1px;">';
					}
					
		echo '</div>
	</div>
	<div style="clear: both;">
		<div style="margin-top:3px; width:32%; float:left;">
				<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">
				<tr>
					<td>EXPORTADOR:</td>
					<td>'.$exportador_nombre.'</td>
				</tr>
				<tr>
					<td>ZONA DE ORIGEN:</td>
					<td>'.$zona_nombre.'</td>
				</tr>
				<tr>
					<td>PACKING:</td>
					<td>'.$packing_nombre.'</td>
				</tr>
				</table>
		</div>
		<div style="margin-top:3px; width:33%; float:left; margin-left:4px;">
				<table border="1" style="border-collapse: collapse; width:100%; font-size:10px;">';
				
					echo '
					<tr>
						<td>FECHA PROCESO:</td>
						<td>'.$pi_fecha_inspeccion.'</td>
					</tr>
					<tr>
						<td>INSPECTOR</td>
						<td>'.$nom_inspector.'</td>
					</tr>';
				
				
				
				echo '</table>	
		</div>
		
	</div>


	<table border="1" style="border-collapse: collapse; margin-top:80px;">
	<tr align="center" style="font-size:8px;">';
	$rscajas = mysql_query("SELECT COUNT(*) as cont_parametro, cal_planilla_defectos.id_parametro, cal_parametros.nombre_parametro FROM cal_planilla_defectos INNER JOIN cal_parametros ON cal_parametros.id_parametro=cal_planilla_defectos.id_parametro WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' GROUP BY cal_planilla_defectos.id_parametro ORDER BY cal_planilla_defectos.orden_planilla ASC");

	while($rowcajas = mysql_fetch_array($rscajas)){
		$cont_cajas=$rowcajas['cont_parametro'];
		if($rowcajas['nombre_parametro']=="RESOLUCION"){
			$cont_cajas=$cont_cajas+4;
		}
		echo '<th colspan="'.$cont_cajas.'">'.$rowcajas['nombre_parametro'].'</th>';
	}

		

	echo '</tr>
	<tr align="left" valign="bottom" style="font-size:8px; height:150px;">';
	$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
	echo '<th><div class="vertical">NUM</div></th>';
	while($rowcajas = mysql_fetch_array($rscajas)){
		$id_defecto=$rowcajas['id_defecto'];
		$nombre_defecto=$rowcajas['nombre_defecto'];
		

			echo '<th><div class="vertical">'.$nombre_defecto.'</div></th>';
		
	}
	
	echo '
	</tr>';
	$observaciones="";
$where_cajas="";
$i=0;
$rscajas2 = mysql_query("SELECT * FROM cal_planilla_inspeccion INNER JOIN cal_cajas ON cal_cajas.pi_folio=cal_planilla_inspeccion.pi_folio WHERE cal_planilla_inspeccion.pi_folio='$pi_folio' ORDER BY cal_cajas.num ASC");
	while($rowcajas2 = mysql_fetch_array($rscajas2)){
		$observaciones.=$rowcajas2['observacion']." - ";
		$cant_caja_hijas=$rowcajas2['cant_caja_hijas'];
		$tolerancia1=$rowcajas2['tolerancia1'];
		$tolerancia2=$rowcajas2['tolerancia2'];
		$resultado_caja=$rowcajas2['resultado_caja'];
		$resultado_pallet=$rowcajas2['resultado_pallet'];
		$resolucion_lote=$rowcajas2['resolucion_lote'];
		if($i==0){
			$where_cajas.="(caja_id='".$rowcajas2['caja_id']."'";
		}else{
			$where_cajas.=" OR caja_id='".$rowcajas2['caja_id']."'";
		}
		
		$i++;
		echo '<tr align="center" valign="bottom" style="font-size:10px;"">';

		echo '<td>'.$rowcajas2['num'].'</td>';
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];
			if($rowcajas['tipo_medicion']=="NPROCESO"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_proceso'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CALIBRE"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$calibre_id=$rowcajas3['calibre_id'];
					$rscajas4 = mysql_query("SELECT * FROM cal_calibre WHERE cal_calibre.calibre_id='".$rowcajas3['calibre_id']."'");
					if($rowcajas4 = mysql_fetch_array($rscajas4)){
						echo '<td>'.$rowcajas4['calibre_nombre'].'</td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NFRUTOS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['nfrutos'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NLOTE"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_lote'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PESO BAYA"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['baya_promedio'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="FOLIO PALLET"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['folio_pallet'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="CANT CAJAS"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['cant_cajas'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CALIDAD"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_cal'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CONDICION"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas WHERE cal_cajas.caja_id='".$rowcajas2['caja_id']."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['n_cond'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PORCENTAJE" || $rowcajas['tipo_medicion']=="NUMERICO" || $rowcajas['tipo_medicion']=="OTROS CONDICION" || $rowcajas['tipo_medicion']=="OTROS CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CONDICION" || $rowcajas['tipo_medicion']=="SUMA2 CALIDAD" || $rowcajas['tipo_medicion']=="SUMA3 CONDICION" || $rowcajas['tipo_medicion']=="SUMA4 CONDICION" || $rowcajas['tipo_medicion']=="SUMA TOTAL" || $rowcajas['tipo_medicion']=="PORCENTAJE RACIMOS" || $rowcajas['tipo_medicion']=="PORCENTAJE BAYAS" || $rowcajas['tipo_medicion']=="NOTA" || $rowcajas['tipo_medicion']=="SUMA TOTAL BAYA RACIMO2" || $rowcajas['tipo_medicion']=="SUMA TOTAL BAYA RACIMO3" || $rowcajas['tipo_medicion']=="SUMA TOTAL BAYA RACIMO4" || $rowcajas['tipo_medicion']=="EXPORTABLE" || $rowcajas['tipo_medicion']=="BRIX" || $rowcajas['tipo_medicion']=="FRUTOS EXPORTABLES" || $rowcajas['tipo_medicion']=="SUMA"){
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					if($rowcajas3['cumple']=="VERDE"){
						echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
					}else if($rowcajas3['cumple']=="AMARILLO"){
						echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$rowcajas3['valor_defecto'].'</td>';
					}else if($rowcajas3['cumple']=="ROJO"){
						echo '<td style="color: #FF0000;">'.$rowcajas3['valor_defecto'].'</td>';
					}else{
						echo '<td></td>';
					}
					
				}else{
					echo '<td></td>';
				}
			}else{
				$rscajas3 = mysql_query("SELECT * FROM cal_cajas_det WHERE cal_cajas_det.caja_id='".$rowcajas2['caja_id']."' AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['valor_defecto'].'</td>';
				}else{
					echo '<td></td>';
				}
			}
			
			
		}

		
			
		echo '</tr>';
	}

	$where_cajas.=")";
	if($cant_caja_hijas!='0'){
		echo '<tr align="center" valign="bottom" style="font-size:10px;"">';

		echo '<td>X</td>';
		$rscajas = mysql_query("SELECT * FROM cal_planilla_defectos INNER JOIN cal_defectos ON cal_defectos.id_defecto=cal_planilla_defectos.id_defecto WHERE cal_planilla_defectos.planilla_id='$planilla_id' AND cal_planilla_defectos.hijos_de!='OTROS CALIDAD' AND cal_planilla_defectos.hijos_de!='OTROS CONDICION' ORDER BY cal_planilla_defectos.orden_planilla ASC");
		while($rowcajas = mysql_fetch_array($rscajas)){
			$id_defecto=$rowcajas['id_defecto'];
			$nombre_defecto=$rowcajas['nombre_defecto'];

			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='$calibre_id' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='TODAS' AND cal_norma_detalle.clasificacion_id='$clasificacion_id' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}
			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='$variedad_id' AND cal_norma_detalle.clasificacion_id='TODAS' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}

			$rsnorma = mysql_query("SELECT * FROM cal_norma_detalle INNER JOIN cal_planilla_defectos ON cal_planilla_defectos.id_planilla_defecto=cal_norma_detalle.id_planilla_defecto WHERE cal_norma_detalle.norma_id='$norma_id' AND cal_norma_detalle.calibre_id='TODOS' AND cal_norma_detalle.variedad_id='$variedad_id' AND cal_norma_detalle.clasificacion_id='$clasificacion_id' AND cal_planilla_defectos.id_defecto='$id_defecto'");
				if($rownorma = mysql_fetch_array($rsnorma)){
					$norma_valor1=$rownorma['norma_valor1'];
					$norma_valor2=$rownorma['norma_valor2'];
					$norma_valor3=$rownorma['norma_valor3'];
				}


			if($rowcajas['tipo_medicion']=="NPROCESO"){
				
					echo '<td></td>';
				
			}else if($rowcajas['tipo_medicion']=="CALIBRE"){
					echo '<td></td>';
			}else if($rowcajas['tipo_medicion']=="NFRUTOS"){
					echo '<td></td>';
			}else if($rowcajas['tipo_medicion']=="CANT CAJAS"){
					$rscajas3 = mysql_query("SELECT SUM(cant_cajas) as cant_cajas FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.$rowcajas3['cant_cajas'].'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CALIDAD"){
					$rscajas3 = mysql_query("SELECT SUM(n_cal) as n_cal FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.round( $rowcajas3['n_cal']/$i, 1, PHP_ROUND_HALF_UP).'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="NOTA CONDICION"){
					$rscajas3 = mysql_query("SELECT SUM(n_cond) as n_cond FROM cal_cajas WHERE $where_cajas");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					echo '<td>'.round( $rowcajas3['n_cond']/$i, 1, PHP_ROUND_HALF_UP).'</td>';
				}else{
					echo '<td></td>';
				}
			}else if($rowcajas['tipo_medicion']=="PORCENTAJE" || $rowcajas['tipo_medicion']=="NUMERICO" || $rowcajas['tipo_medicion']=="OTROS CONDICION" || $rowcajas['tipo_medicion']=="OTROS CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CALIDAD" || $rowcajas['tipo_medicion']=="SUMA CONDICION" || $rowcajas['tipo_medicion']=="SUMA2 CALIDAD" || $rowcajas['tipo_medicion']=="SUMA3 CONDICION" || $rowcajas['tipo_medicion']=="SUMA4 CONDICION" || $rowcajas['tipo_medicion']=="SUMA TOTAL" || $rowcajas['tipo_medicion']=="PORCENTAJE RACIMOS" || $rowcajas['tipo_medicion']=="PORCENTAJE BAYAS" || $rowcajas['tipo_medicion']=="BRIX" || $rowcajas['tipo_medicion']=="FRUTOS EXPORTABLES" || $rowcajas['tipo_medicion']=="SUMA"){
				$rscajas3 = mysql_query("SELECT SUM(valor_defecto) as valor_defecto FROM cal_cajas_det WHERE $where_cajas AND cal_cajas_det.id_defecto='".$id_defecto."'");
				if($rowcajas3 = mysql_fetch_array($rscajas3)){
					$prom_pallet=round( $rowcajas3['valor_defecto']/$i);
						if($prom_pallet>=$norma_valor1 && $prom_pallet<=$norma_valor2){
							echo '<td>'.$prom_pallet.'</td>';
						}else if($prom_pallet>$norma_valor2 && $prom_pallet<=$norma_valor3){
							echo '<td style="color: #FBFF00; background-color:#6E6E6E;">'.$prom_pallet.'</td>';
						}else if($prom_pallet<$norma_valor1 || $prom_pallet>$norma_valor3){
							echo '<td style="color: #FF0000;">'.$prom_pallet.'</td>';
						}else{
							echo '<td></td>';
						}

					
				}else{
					echo '<td></td>';
				}
			}else{
					echo '<td></td>';
			}
			
			
		}
		if($resultado_pallet=='RR'){
			$tolerancia1='O';
			$tolerancia2='O';
		}else if($resultado_pallet=='A'){
			$tolerancia1='A';
			$tolerancia2='A';
		}else if($resultado_pallet=='N'){
			$tolerancia1='O';
			$tolerancia2='O';
		}else if($resultado_pallet=='OA'){
			$tolerancia1='O';
			$tolerancia2='A';
		}
		
			
		echo '</tr>';
	}
		


	echo '</table>
	<div width="100%" style="margin-top:15px;">
		<div style="border:1px solid black; margin-top:-10px; height:70px; width:70%; float:left; text-align:left;">
				Observaciones: '.$observaciones.'	
		</div>
		<div style="border:1px solid black; margin-top:-10px; height:70px; width:29%; float:left; text-align:center;">
				<br/>RESOLUCION: '.$resolucion_lote.'
					
		</div>
		</div>';
	$diventre2=0;
			$sig_pagina=0;
	echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
			

		
	echo '<div style="border:0px solid black;">';
	           
	           		$rs2 = mysql_query("SELECT * FROM cal_cajas_fotos WHERE pi_folio='".$pi_folio."' order by num_foto_caja ASC");
					while($row2 = mysql_fetch_array($rs2)){
						$diventre2++;
						$sig_pagina++;
						$nombre_foto=$row2['nombre_foto'];
						$link="Inspeccion/".$row2['link']."/".$nombre_foto;
						echo '<div style="float:left; border:1px solid #FFFF; width:23%; height:250px;" align="center">
							';
							
								echo '<div>'.$row2['defecto1_foto'].'</div><img src="'.$link.'.jpg" height="86%">';
							
							
						echo '</div>';
						if($diventre2==4){
							$diventre2=0;
							if($sig_pagina==3){
								echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';
								$sig_pagina=0;
							}else{
								echo '<div style="clear:left;">

								</div>';
							}
							
						}
					}
	           
			
	echo '</div>';
	
	echo '<div style="clear:left;">

	</div>';
	echo '<hr style="page-break-after: always; border: 0; margin: 0; padding: 0;"></hr>';

}
echo '</body>
</html>';

?>